.checkbox {
    transition: all 0.15s ease-out;
    display: block;
    position: relative;
    padding: 10px 15px;
    padding-left: 45px;
    cursor: pointer;
    font-size: 14px;
    user-select: none;
  }
  
  /* Прячем стандартный чекбокс */
  .checkbox input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
  }
  
  .checkbox .checkmark {
    position: absolute;
    top: 50%;
    left: 15px;
    transform: translateY(-50%);
    height: 19px;
    width: 19px;
    background-color: transparent;
    border: 1px solid var(--line-secondary);
    border-radius: 3px;
    transition: all 0.15s ease-out;
  }

  /* Для ТОЛЬКО*/
  .checkbox .checkbox__select-only {
    display: none;
    position: absolute;
    right: 15px;
    top: 50%;
    transform: translateY(-50%);
    color: var(--blue);
    font-weight: bold;
    font-size: 12px;
  }

  .checkbox__select-only:hover {
    text-decoration: underline;
  }
  
  /* Добавляем стили при наведении */
  .checkbox:hover {
      background: #F1FCFF;
  }

  .checkbox:hover .checkbox__select-only {
    display: block;
  }
  
  .checkbox input:checked ~ .checkmark {
    background-color: #F2FCFF;
    border-color: var(--blue);
  }

  .checkbox input:checked ~ .checkmark:after {
    border-color: var(--blue);
  }
  
  .checkbox .checkmark:after {
    transition: all 0.15s ease-out;
    content: "";
    position: absolute;
    display: none;
  }
  
  .checkbox input:checked ~ .checkmark:after {
    display: block;
  }
  
  .checkbox .checkmark:after {
    left: 6px;
    top: 4px;
    width: 4px;
    height: 6px;
    border: solid white;
    border-width: 0 3px 3px 0;
    transform: rotate(45deg);
  }